package cl.jtv;

/*
 * ComandoRMV.java
 *
 * Created on 28 de febrero de 2003, 02:58 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoRMV extends Comando {

    /** Creates new ComandoRMV */
    private boolean inicial; 
    public ComandoRMV(Object newArtefacto, Vector2 newVector2) {
        super(newArtefacto,newVector2);
        inicial = ((Maquina)artefacto).isInicial();
    }    

    public void doIt() {
        vector2.remove(artefacto);
        if(inicial){ 
            vector2.inicial = null;
            ((Maquina)artefacto).setInicial(false);
        }
    }
    
}
